Class | Ramaze::Bin::Restart
In: | lib/ramaze/bin/restart.rb
Parent: | Object

Restarts an application based on a specified directory/rackup file and PID. The PID is used to kill the process, the Rackup file is used to start the process again after it has been killed.

Usage:

       ramaze restart
       ramaze restart /home/foobar/projects/ramaze/      #    -P /home/foobar/projects/ramaze/ramaze.pid

@author Yorick Peterse @since 21-07-2011

### Methods

new run

### Constants

Description | = | 'Restarts an application' |  | The description of this command, displayed in the global help message.
Banner | = | <<-TXT.strip Restarts an active Ramaze application. Usage: ramaze restart [RACKUP] [OPTIONS] Example: ramaze restart config.ru -P ramaze.pid TXT .strip |  | The banner, displayed when the -h or —help option is specified.

### Public Class methods

new()

Creates a new instance of the command and sets all the options.

@author Yorick Peterse @since 21-07-2011

### Public Instance methods

run(argv = [])

Runs the command based on the specified command line arguments.

@author Yorick Peterse @since 21-07-2011 @param [Array] argv An array containing all command line arguments.

[Validate]